// CD PlayerDlg.h : header file
//

#if !defined(AFX_CDPLAYERDLG_H__314498A7_E0C3_11D3_A999_BD3770CF322A__INCLUDED_)
#define AFX_CDPLAYERDLG_H__314498A7_E0C3_11D3_A999_BD3770CF322A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BtnST.h"
#include "CDAudio.h"	// Added by ClassView

#include "ColorStatic.h"
#include "define.h"

#define BACKWIDTH 290  // Our main window's width
#define BACKHEIGHT 80  // Our main window's height
#define AMPLIFIERWIDTH 55 // Our amplifier's width
#define BTNWIDTH  18   // button width
#define BTNYPOS  55
// CCDPlayerDlg dialog

class CCDPlayerDlg : public CDialog
{
// Construction
public:
	bool CanPlay();
	CRect rectClose;
	CRect rectInfo;
	CCDPlayerDlg(CWnd* pParent = NULL);	// standard constructor
    void   AdjustButtons();
// Dialog Data
	//{{AFX_DATA(CCDPlayerDlg)
	enum { IDD = IDD_CDPLAYER_DIALOG };
	CColorStatic	m_stDownText;
	CColorStatic	m_stUpText;
	CButtonST	m_btnClose;
	CButtonST	m_btnInfo;
	CButtonST	m_btnEnd;
	CButtonST	m_btnFBword;
	CButtonST	m_btnFFword;
	CButtonST	m_btnPause;
	CButtonST	m_btnStart;
	CButtonST	m_btnStop;
	CButtonST	m_btnPlay;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCDPlayerDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_nTurnTimes;
	bool m_bPlayCircle;
	bool m_bShowMsg;
	COLORREF m_clBkColor;
	CString m_sCurTrack;
	CRect m_rShowState;
	CRect  m_rStrUp,m_rStrDown;
	bool m_bCDReady;
	int m_nCurrentSecond;
	int m_nCurrentMinute;
	bool m_bIsTopmost;
	bool m_bIsSmall;
	bool m_bUserStoped;
	int m_nTotalSeconds;
	int m_nTotalMinutes;
	int m_nCurrentTrackSeconds;
	int m_nCurrentTrackMinutes;
	int m_nCurrentTrack;
	int m_nTotalTracks;
	CCDAudio m_CDAudio;
	static DynaCDMenu m_DynaCDMenu[20];
	CToolTipCtrl m_tooltip;
	afx_msg void OnContextMenu(CWnd*, CPoint point);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCDPlayerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMenuExit();
	afx_msg void OnAboutbox();
	afx_msg void OnButtonClose();
	afx_msg void OnButtonInfo();
	afx_msg void OnButtonPlay();
	afx_msg void OnButtonStop();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnMenuNexttrack();
	afx_msg void OnMenuLast();
	afx_msg void OnButtonPause();
	afx_msg void OnButtonFfword();
	afx_msg void OnButtonFbword();
	afx_msg void OnButtonEnd();
	afx_msg void OnButtonStart();
	afx_msg void OnMenuEject();
	afx_msg void OnMenuChageshape();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnMenuTopmost();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnMenuShowmsg();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CDPLAYERDLG_H__314498A7_E0C3_11D3_A999_BD3770CF322A__INCLUDED_)
